FreeBSD : pidgin -- multiple remote denial of service vulnerabilities (a2c4d3d5-4c7b-11df-83fb-0015587e2cc1)

Medium Nessus Plugin ID 45585


The remote FreeBSD host is missing one or more security-related updates.


Three denial of service vulnerabilities where found in pidgin and allow remote attackers to crash the application. The developers summarized these problems as follows :

Pidgin can become unresponsive when displaying large numbers of smileys

Certain nicknames in group chat rooms can trigger a crash in Finch

Failure to validate all fields of an incoming message can trigger a crash


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 45585

File Name: freebsd_pkg_a2c4d3d54c7b11df83fb0015587e2cc1.nasl

Version: $Revision: 1.10 $

Type: local

Published: 2010/04/21

Modified: 2016/12/08

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Temporal Score: 4.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:libpurple, p-cpe:/a:freebsd:freebsd:pidgin, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/04/20

Vulnerability Publication Date: 2010/02/18

Reference Information

CVE: CVE-2010-0277, CVE-2010-0420, CVE-2010-0423

BID: 38294

CWE: 20, 399